package com.jy.business.contract.service;

import com.jy.business.contract.model.dto.ContractDetailDto;
import com.jy.business.contract.model.dto.ContractDetailSelectDto;
import com.jy.business.contract.model.vo.ContractDetailVo;

import java.util.List;

/**
 * <p>
 * 合同明细 服务类
 * </p>
 *
 * @author 
 * @since 2025-01-07
 */
public interface ContractDetailService {

    /**
     * 合同明细列表
     */
    List<ContractDetailVo> getList(ContractDetailSelectDto dto);

    /**
     * 合同明细明细
     */
    ContractDetailVo getDetail(Long id);

    /**
     * 合同明细新增
     */
    void add(ContractDetailDto dto);

    /**
     * 合同明细编辑
     */
    void edit(ContractDetailDto dto);

    /**
     * 合同明细删除
     */
    void delete(List<Long> idList);

}
